This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 908767 - Enable EGL_KMS backend / driver to use cogl/clutter w/o X11
Enable EGL_KMS backend / driver to use cogl/clutter w/o X11
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: cogl (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-07 08:20 EST by Fabian Deutsch
Modified: 2013-09-23 04:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-21 10:19:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Fabian Deutsch 2013-02-07 08:20:52 EST
Description of problem:
Currently X11 is required to run cogl/clutter applications.
[0] indicates that X11 can be circumvented by using the egl_kms driver, this is interesting because it would reduce the memory and diskspace footprint.
E.g. I see a usecase when Fedora is slimmed down to be appliance like but someone, like me, still wants to offer a nice user experience, thus Mx/Gtk+ apps.

IIUIC this also requires some additional (gallium?) drivers to be enabled in mesa.

[0] http://lists.freedesktop.org/archives/cogl/2012-January/000018.html
Comment 1 Peter Robinson 2013-02-07 08:23:53 EST
I will investigate. There's some known issues with enabling EGL along side GL but I'll review and see the exact cases for this and whether it applies to this option. It would likely only be, at least initially, done on rawhide
Comment 2 Fabian Deutsch 2013-02-07 08:46:16 EST
(In reply to comment #1)
> I will investigate. There's some known issues with enabling EGL along side
> GL but I'll review and see the exact cases for this and whether it applies

Ah right. I wasn't aware of that.

> to this option. It would likely only be, at least initially, done on rawhide

That'd be cool! :)

I suppose that --enable-gallium-egl also needs to be added to mesa
[0] seems to contain all the switches to build the needed files.

[0] http://svnweb.mageia.org/packages/cauldron/mesa/current/SPECS/mesa.spec?view=markup
Comment 3 Fedora End Of Life 2013-04-03 15:37:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Kalev Lember 2013-09-12 11:05:49 EDT
I've enabled the KMS / EGL support in cogl-1.15.10-3.fc20 and clutter-1.15.92-3.fc20 builds now that mutter-wayland is going to use this.
Comment 5 Fabian Deutsch 2013-09-23 04:03:51 EDT
Nice!

Note You need to log in before you can comment on or make changes to this bug.